Subject: RE: [SIP] SIP URL clarification for user parameter

From: James Yu <[email-masked]>
Date: Wed, 24 May 2000 17:15:19 -0500

There are four pieces of information related to a freephone number.  The
first piece is the dialed 800 number (a service number).  The second piece
is the translated POTS (a telephone number).  The third piece is the network
routing number (NRN, a number used for routing in the GSTN) if the telephone
number is not used for routing (e.g., due to number portability).  The
fourth piece is the NP database dip indicator.  The example assumes that the
dialed 800 number results in a ported telephone number; therefore, NP
database dip or process is performed to get the NRN for call routing.
Assume that a rn parameter is used to carry the NRN and a di parameter is
used to carry the NP database dip indicator. 

If the TO field carries the dialed 800 number, then tel will carry the
translated telephone number, rn will carry the NRN and di will carry the dip
indicator.  But if tel carries the dialed 800 number, then rn will carry the
translated telephone number.  This is fine if the telephone number is not
ported or before NP database dip is performed.  But if the telephone number
is a ported number, a NRN will be retrieved and used to route the call.
That NRN must be carried in the rn, and di will be included.  The problem
now is where to carry the translated telephone number when that happens (the
assumption is that rn will be used for routing when both tel and rn are
present).  Can tel be used to carry both the dialed 800 number and the
translated telephone number (appear twice)?

Jonathan's comparison between subscriber phone number/NRN and domain name/IP
address is very close.  But there is one difference.  In GSTN, the
subscriber phone number (a name in the NP environment) may still be needed
at the terminating GSTN switch in order to terminate the call.  The NRN
usually just allow the GSTN to route the call to the terminating switch (one
NRN for all the subscriber numbers served by that switch, which is the case
in the North America).  In some countries, the NRN can point to a specific
line card at the switch.  But in some other countries, the NRN may just
point to the terminating network instead of the terminating switch.  For the
case where the NRN only points to the terminating network, that network will
perform another NP database dip to retrieve a NRN that either points to the
terminating switch or to a line card at the terminating switch.  So the NRN
may be changed while the call is being routed to the terminating switch.  No
matter what, the NRN is used for call routing. 

Although NP is limited to be within a country (in the national domain), the
numbers to be carried in tel and rn should be international numbers as
indicated in many SIP examples.  So if someone dialed a U.S. 800 number, it
would be carried as 1-800-xxx-xxxx in the SIP (country code=1).  If one
dials the international freephone number, the number carried in the SIP
would be 800-xxx...xxxx (country code=800).  Unless the country code can be
indicated, international numbers will avoid confusion.

I'm open to any suggestions as to how to carry the information in the SIP.
They can be generated due to ISUP-SIP interworking or due to the situation
that a SIP server needs to retrieve the NRN for a ported number (e.g.,
PC-to-GSTN call).  Since number portability (NP) is part of the basic call
processing in countries that support NP, SIP may need to specify the call
handling when all or some of the four pieces of information are present in
the SIP message.  But it is apparent that it is the NRN (rn) that is to be
used to select the terminating GW or the next hop SIP server (e.g., TRIP)
when it is present.
 
James

> -----Original Message-----
> From: Jonathan Rosenberg [mailto:[email-masked]]
> Sent: Friday, May 19, 2000 3:46 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: [SIP] SIP URL clarification for user paramater
> 
> 
> 
> 
> "Vijay K. Gurbani" wrote:
> > 
> > Jonathan/Henning:
> > 
> > In RFC2543bis, section 2, 2nd last paragraph on page 17, you say:
> > 
> >    "The user parameter value "np-queried" indicates that 
> the user part
> >     contains a telephone number AND that the number 
> reflects the result
> >     of a query to the local number portability database".
> > 
> > However, in Figure 3 on page 18, the BNF for user-param is:
> > 
> >    user-param = "user="("phone" | "ip")
> > 
> > Should it be modified to:
> > 
> >    user-param = "user="(("phone" | "np-queried") | "ip")
> > 
> > A look at the archives indicate that Jonathan and Marc 
> Petit-Huguenin
> > had a thread on this around May 10, 2000 with Jonathan stating that
> > there was no consensus on if this was the right way to do this.  Any
> > updates?
> 
> 
> None I've seen. I have no problem with the idea of saying 
> that some kind
> of query has been done, but this particular solution is very 
> specific to
> LNP, and I think there is a bigger picture. 
> 
> I would argue that the need for this thing at all arises because the
> telephone network uses equivalently formatted numbers to refer to two
> things - names and actual routing numbers (i.e., addresses). 
> Its sort of
> like what would have happened if IP addresses and domain 
> names were the
> same in syntax and formatting, such that you couldn't tell 
> one from the
> other without checking with some database. The purpose of LNP is much
> like DNS, to translate an abstract name to a real routable 
> address. Now,
> in the world of URLs, the namespace (or abstractly, the address space)
> of the content of the URL is defined by the scheme. If we 
> view "numbers
> as names" and "numbers as addresses" as difference "namespaces", the
> theoretically correct way to indicate that LNP has been done is by
> defining a new URL scheme for the two:
> 
> tel:18005551212 and
> rn:17325551212
> 
> where LNP (or 800 number lookup in this case) is used to translate.
> 
> I am not proposing to do this, since practically speaking, its a pain.
> But I'd like something more generic to indicate the namespace that the
> number fits into. I don't exactly know what or how to do this. Perhaps
> this is really just phone-context, with the context being
> "routing-number" once translated? 
> 
> -Jonathan R.
> > 
> > Thanks,
> > 
> > - vijay
> > --
> > Vijay K. Gurbani  [email-masked] [email-masked] 
> [email-masked]
> > IN Architecture and Internet Software Group
> > Lucent Technologies/Bell Labs Innovations, 263 Shuman Blvd, 
> Rm 1A-418
> > Naperville, Illinois 60566  Voice: +1 630 224 0216 Fax: +1 
> 630 713 0184
> > 
> > _______________________________________________
> > SIP mailing list
> > [email-masked]
> > http://lists.bell-labs.com/mailman/listinfo/sip
> 
> -- 
> Jonathan D. Rosenberg                       72 Eagle Rock Ave.
> Chief Scientist                             First Floor
> dynamicsoft                                 East Hanover, NJ 07936
> [email-masked]                     FAX:   (732) 741-4778
> http://www.cs.columbia.edu/~jdrosen         PHONE: (732) 741-7244
> http://www.dynamicsoft.com
> 
> 
> _______________________________________________
> SIP mailing list
> [email-masked]
> http://lists.bell-labs.com/mailman/listinfo/sip
> 

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip